{% extends 'bases/public.html.twig' %}

{% block title %}zeue.net | Where OSS is Put to Work!{% endblock %}

{% block stylesheets %}
{{ parent() }}
<style media="screen">
  .normalContainer {
    padding: 0;
  }

  header {
    position: relative;
    background-color: black;
    height: 20rem;
    width: 100%;
    overflow: hidden;
  }

  header video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: auto;
    z-index: 0;
    -ms-transform: translateX(-50%) translateY(-50%);
    -moz-transform: translateX(-50%) translateY(-50%);
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
  }

  header .container {
    position: relative;
    z-index: 2;
  }

  header .overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    opacity: 0.5;
    z-index: 1;
  }

  @media (pointer: coarse) and (hover: none) {
    header {
      background: black no-repeat center center scroll;
    }
    header video {
      display: none;
    }
  }

  .optionCard {
    margin-right: auto;
    margin-left: auto;
    box-shadow: none;
    max-width: 25rem;
  }

  .card-text {
    text-align: justify;
  }
</style>
{% endblock %}

{% block body %}
  {{ parent() }}
  <div class="container normalContainer card">
    <header>
      <div class="overlay"></div>
      <video playsinline="playsinline" autoplay="autoplay" muted="muted" loop="loop">
        <source src="{{ asset("build/videos/network.mp4") }}" type="video/mp4">
      </video>
      <div class="container h-100">
        <div class="d-flex text-center h-100">
          <div class="my-auto w-100 text-white">
            <h1><b>Hosting</b></h1>
            <p class="lead">From bare-metal to hyperclusters, I've done it all!</p>
          </div>
        </div>
      </div>
    </header>
    <div class="container">
      <h2 class="center">Choose:</h2>
      <hr>
      <div class="row center">
        <div class="col">
          <a href="{{path("hosting/websites")}}">
            <div class="card optionCard">
              <div class="icon icon-primary">
                <i class="material-icons large">language</i>
              </div>
              <div class="card-body">
                <h4 class="card-title">Websites</h4>
                <p class="card-text">Everything you need to get your website up and running, with optional upgrades such as load-balancing and security packages.</p>
              </div>
            </div>
          </a>
        </div>
        <div class="col">
          <a href="{{path("hosting/gaming")}}">
            <div class="card optionCard">
              <div class="icon icon-warning">
                <i class="material-icons large">games</i>
              </div>
              <div class="card-body">
                <h4 class="card-title">Gaming</h4>
                <p class="card-text">Highly-performant server backends for all your gaming needs, from New York to Beijing, we have servers everywhere!</p>
              </div>
            </div>
          </a>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
